import type { Receiver } from "../utils/event-emitter.js";
export type ToolbarEvents = {
    update: null;
};
export type ToolbarContextValue<E> = {
    editor: E;
    eventBus: Receiver<ToolbarEvents>;
};
export declare const ToolbarProvider: import("react").Provider<ToolbarContextValue<unknown> | undefined>;
export declare function useToolbarContext<E>(): ToolbarContextValue<E>;
